Subject: Re: bug#17589: 24.3.91; lisp/frameset.el

From: Stefan Monnier <[email-masked]>
Date: Mon, 26 May 2014 16:32:41 -0400

> Framesets (or, really, window states) on the other hand, save the
> buffer *names*. So if you rename a buffer, as it happens when you
> visit another file with the same name, the frameset's window state
> loses the reference to the original buffer.

Saving buffer names is indeed a problem.  I think we should try and
remember the actual buffer whenever possible (i.e. until we want to
print the object), and when printing, we should try and print
a description of the buffer, e.g. its file-name if it's visiting a file
(I guess the data used in bookmarks would be a good starting point).

        Stefan